Package org.jboss.resteasy.core

## Class AcceptParameterHttpPreprocessor

- java.lang.Object
- - org.jboss.resteasy.core.AcceptParameterHttpPreprocessor

- All Implemented Interfaces:
    `javax.ws.rs.container.ContainerRequestFilter`

      @PreMatching
      public class AcceptParameterHttpPreprocessor
      extends Object
      implements javax.ws.rs.container.ContainerRequestFilter

  Enables content negotiation through a query parameter, instead of the Accept Header.

  To enable this feature, use the context-param in web.xml:

  `<context-param>
  <param-name>resteasy.media.type.param.mapping</param-name>
  <param-value>someName</param-value>
  </context-param>
  `

  So, in a request like `http://service.foo.com/resouce?someName=application/xml` the application/xml media type will received the highest priority in the content negotiation.

  In the cases where the request contains both the parameter and the Accept header, the parameter will be more relevant.

  It is possible to left the `param-value` empty, what will cause the processor to look for an accept parameter.

  Version:
    $Revision: 1.2 $
  Author:
    Leandro Ferro Luzia

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AcceptParameterHttpPreprocessor​(String paramMapping)` | Create a new AcceptParameterHttpPreprocessor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `filter​(javax.ws.rs.container.ContainerRequestContext request)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AcceptParameterHttpPreprocessor

          public AcceptParameterHttpPreprocessor​(String paramMapping)

      Create a new AcceptParameterHttpPreprocessor.
      Parameters:
        `paramMapping` - The name of query parameter that will be used to do the content negotiation

  - ### Method Detail

    - #### filter

          public void filter​(javax.ws.rs.container.ContainerRequestContext request)
                      throws IOException

      Specified by:
        `filter` in interface `javax.ws.rs.container.ContainerRequestFilter`
      Throws:
        `IOException`